Package it.ernytech.tdbot

## Class BotClient

- java.lang.Object
- - it.ernytech.tdbot.EasyClient
  - - it.ernytech.tdbot.BotClient

    public class BotClient
    extends EasyClient

Interface for easy interaction with TDLib for bot.

### Field Summary

### Fields inherited from class it.ernytech.tdbot.EasyClient

`haveAuthorization`

### Constructor Summary

Constructors
`BotClient​(java.lang.String botToken)` Creates a new BotClient

### Method Summary

### Methods inherited from class it.ernytech.tdbot.EasyClient

`authorizationHandler, destroyBotClient, execute, execute, send, setCloseCallback, setErrorCallback, setUpdateCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BotClient

    public BotClient​(java.lang.String botToken)

Creates a new BotClient

Parameters:
  `botToken` - The bot token generated with t.me/BotFather